using UnityEngine;
using System.Collections;

public class PowerUpScript : MonoBehaviour {
	
	//The following variables are used to control the 
	//floating pattern of the power up.
	private float floatSpeed = .5F;
	private float floatTime = 0F;
	private float floatDistance = .01F;
	private float rotateSpeed = 1F;
	
	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
		//First we calculate the time that has ellapsed. Once we know
		//That, we can 'bob' the powerup with a sin function
		floatTime += Time.deltaTime * floatSpeed;
		transform.Translate(0F, Mathf.Sin(Mathf.PI * 2 * floatTime) * floatDistance, 0F);
		
		//we add a slight rotation to the powerup
		transform.Rotate(0F, rotateSpeed, 0F);
	}
	
	void OnTriggerEnter(Collider other)
	{
		Destroy(this.gameObject);
	}
}
